import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, SubTable } from 'model-util';
import { PpUserLocalAuth } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-22 15:08
 */
interface PpUserLocalAuthCU extends ConditionUtil<PpUserLocalAuthCU> {
    ACCOUNT_ID: FieldUtil<PpUserLocalAuthCU>;
    PP_USER_ID: FieldUtil<PpUserLocalAuthCU>;
    USER_NAME: FieldUtil<PpUserLocalAuthCU>;
    PASSWORD: FieldUtil<PpUserLocalAuthCU>;
    PHONE: FieldUtil<PpUserLocalAuthCU>;
    CREAT_TIME: FieldUtil<PpUserLocalAuthCU>;
    UPDATE_TIME: FieldUtil<PpUserLocalAuthCU>;
}
declare class PpUserLocalAuthMU extends TableUtilImpl<PpUserLocalAuthCU, PpUserLocalAuth> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: SubTable[];
    createConditionUtil(): PpUserLocalAuthCU;
    static get ACCOUNT_ID(): FieldUtil<PpUserLocalAuthCU>;
    static get PP_USER_ID(): FieldUtil<PpUserLocalAuthCU>;
    static get USER_NAME(): FieldUtil<PpUserLocalAuthCU>;
    static get PASSWORD(): FieldUtil<PpUserLocalAuthCU>;
    static get PHONE(): FieldUtil<PpUserLocalAuthCU>;
    static get CREAT_TIME(): FieldUtil<PpUserLocalAuthCU>;
    static get UPDATE_TIME(): FieldUtil<PpUserLocalAuthCU>;
    get ACCOUNT_ID(): FieldUtil<PpUserLocalAuthCU>;
    get PP_USER_ID(): FieldUtil<PpUserLocalAuthCU>;
    get USER_NAME(): FieldUtil<PpUserLocalAuthCU>;
    get PASSWORD(): FieldUtil<PpUserLocalAuthCU>;
    get PHONE(): FieldUtil<PpUserLocalAuthCU>;
    get CREAT_TIME(): FieldUtil<PpUserLocalAuthCU>;
    get UPDATE_TIME(): FieldUtil<PpUserLocalAuthCU>;
}
export { PpUserLocalAuthMU, PpUserLocalAuthCU };
